Subject: Re: [PATCH net-next] net: dsa: hellcreek: Offload bridge port flags

From: Kurt Kanzenbach <[email-masked]>
Date: Mon, 15 Mar 2021 21:33:44 +0100

On Mon Mar 15 2021, Vladimir Oltean wrote:
> On Sun, Mar 14, 2021 at 01:52:08PM +0100, Kurt Kanzenbach wrote:
>> +	if (enable)
>> +		val &= ~HR_PTCFG_UUC_FLT;
>> +	else
>> +		val |= HR_PTCFG_UUC_FLT;
>
> What does 'unknown unicast filtering' mean/do, exactly?
> The semantics of BR_FLOOD are on egress: all unicast packets with an
> unknown destination that are received on ports from this bridging domain
> can be flooded towards port X if that port has flooding enabled.
> When I hear "filtering", I imagine an ingress setting, am I wrong?

It means that frames without matching fdb entries towards this port are
discarded. There's also ingress filtering which works based on VLANs and
is used already.

Thanks,
Kurt